店舗のトッピンググループ取得
GET
/stores/{store_id}/topping_groups/{topping_group_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example/topping_groups/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example/topping_groups/example \ --header 'Authorization: Bearer <token>'店舗で取り扱うトッピンググループ情報を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
topping_group_id
required
string
トッピンググループID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
required
トッピンググループID
string
name
トッピンググループ名
string
createdIn
作成元サービス
string
rule
選択条件
null:条件なし
object
condition
条件
all: 全体category: カテゴリ毎
string
max
上限
integer
min
下限
integer
toppings
店舗で取り扱うトッピング
Array
object
id
required
トッピングID
string
name
トッピング名
string
categoryId
カテゴリーID
string
prices
Array
PriceSettingobject
taxRate
税率
number
taxType
税種別
normal:標準reduced:軽減none:非課税
string
amount
金額
string
tax
金額の税情報
include: 税込exclude: 税抜none: 非課税
※ 注文のリクエストボディで指定できる tax (金額の税情報)と単語が一致していませんのでご注意ください。
※ テーブル利用セクション、注文セクションのレスポンスに含まれる sellingPrice<NewOrderItemPrice> の tax (金額の税情報)と単語が一致していません。
string
primary
複数価格存在する場合の初期選択設定
true:初期選択値false:初期選択でない
boolean
Examples
Exampleレスポンス例
{ "id": "7", "name": "ラーメン", "createdIn": "waiter", "rule": { "condition": "all", "max": 3, "min": 0 }, "toppings": [ { "id": "8", "name": "もやし", "categoryId": "1", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "80", "tax": "include", "primary": true } ] }, { "id": "9", "name": "煮卵", "categoryId": "2", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "100", "tax": "include", "primary": true } ] }, { "id": "10", "name": "チャーシュー", "categoryId": "3", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "200", "tax": "include", "primary": true } ] } ]}